Loading...
Searching...
No Matches
Exiv2::IptcDataSets Class Reference

IPTC dataset reference, implemented as a static class. More...

`#include <datasets.hpp>`

## Static Public Attributes

Record identifiers
Record identifiers to logically group dataSets. There are other possible record types, but they are not standardized by the IPTC IIM4 standard (and not commonly used in images).
static constexpr uint16_t | invalidRecord = 0
static constexpr uint16_t | envelope = 1
static constexpr uint16_t | application2 = 2

## Dataset identifiers

static constexpr uint16_t | ModelVersion = 0
static constexpr uint16_t | Destination = 5
static constexpr uint16_t | FileFormat = 20
static constexpr uint16_t | FileVersion = 22
static constexpr uint16_t | ServiceId = 30
static constexpr uint16_t | EnvelopeNumber = 40
static constexpr uint16_t | ProductId = 50
static constexpr uint16_t | EnvelopePriority = 60
static constexpr uint16_t | DateSent = 70
static constexpr uint16_t | TimeSent = 80
static constexpr uint16_t | CharacterSet = 90
static constexpr uint16_t | UNO = 100
static constexpr uint16_t | ARMId = 120
static constexpr uint16_t | ARMVersion = 122
static constexpr uint16_t | RecordVersion = 0
static constexpr uint16_t | ObjectType = 3
static constexpr uint16_t | ObjectAttribute = 4
static constexpr uint16_t | ObjectName = 5
static constexpr uint16_t | EditStatus = 7
static constexpr uint16_t | EditorialUpdate = 8
static constexpr uint16_t | Urgency = 10
static constexpr uint16_t | Subject = 12
static constexpr uint16_t | Category = 15
static constexpr uint16_t | SuppCategory = 20
static constexpr uint16_t | FixtureId = 22
static constexpr uint16_t | Keywords = 25
static constexpr uint16_t | LocationCode = 26
static constexpr uint16_t | LocationName = 27
static constexpr uint16_t | ReleaseDate = 30
static constexpr uint16_t | ReleaseTime = 35
static constexpr uint16_t | ExpirationDate = 37
static constexpr uint16_t | ExpirationTime = 38
static constexpr uint16_t | SpecialInstructions = 40
static constexpr uint16_t | ActionAdvised = 42
static constexpr uint16_t | ReferenceService = 45
static constexpr uint16_t | ReferenceDate = 47
static constexpr uint16_t | ReferenceNumber = 50
static constexpr uint16_t | DateCreated = 55
static constexpr uint16_t | TimeCreated = 60
static constexpr uint16_t | DigitizationDate = 62
static constexpr uint16_t | DigitizationTime = 63
static constexpr uint16_t | Program = 65
static constexpr uint16_t | ProgramVersion = 70
static constexpr uint16_t | ObjectCycle = 75
static constexpr uint16_t | Byline = 80
static constexpr uint16_t | BylineTitle = 85
static constexpr uint16_t | City = 90
static constexpr uint16_t | SubLocation = 92
static constexpr uint16_t | ProvinceState = 95
static constexpr uint16_t | CountryCode = 100
static constexpr uint16_t | CountryName = 101
static constexpr uint16_t | TransmissionReference = 103
static constexpr uint16_t | Headline = 105
static constexpr uint16_t | Credit = 110
static constexpr uint16_t | Source = 115
static constexpr uint16_t | Copyright = 116
static constexpr uint16_t | Contact = 118
static constexpr uint16_t | Caption = 120
static constexpr uint16_t | Writer = 122
static constexpr uint16_t | RasterizedCaption = 125
static constexpr uint16_t | ImageType = 130
static constexpr uint16_t | ImageOrientation = 131
static constexpr uint16_t | Language = 135
static constexpr uint16_t | AudioType = 150
static constexpr uint16_t | AudioRate = 151
static constexpr uint16_t | AudioResolution = 152
static constexpr uint16_t | AudioDuration = 153
static constexpr uint16_t | AudioOutcue = 154
static constexpr uint16_t | PreviewFormat = 200
static constexpr uint16_t | PreviewVersion = 201
static constexpr uint16_t | Preview = 202
static std::string | dataSetName (uint16_t number, uint16_t recordId)
| Return the name of the dataset.
static const char * | dataSetTitle (uint16_t number, uint16_t recordId)
| Return the title (label) of the dataset.
static const char * | dataSetDesc (uint16_t number, uint16_t recordId)
| Return the description of the dataset.
static const char * | dataSetPsName (uint16_t number, uint16_t recordId)
| Return the Photoshop name of a given dataset.
static bool | dataSetRepeatable (uint16_t number, uint16_t recordId)
| Check if a given dataset is repeatable.
static uint16_t | dataSet (const std::string &dataSetName, uint16_t recordId)
| Return the dataSet number for dataset name and record id.
static TypeId | dataSetType (uint16_t number, uint16_t recordId)
| Return the type for dataSet number and Record id.
static std::string | recordName (uint16_t recordId)
| Return the name of the Record.
static const char * | recordDesc (uint16_t recordId)
| Return the description of a record.
static uint16_t | recordId (const std::string &recordName)
| Return the Id number of a record.
static const DataSet * | envelopeRecordList ()
| Return read-only list of built-in Envelope Record datasets.
static const DataSet * | application2RecordList ()
| Return read-only list of built-in Application2 Record datasets.
static void | dataSetList (std::ostream &os)
| Print a list of all dataSets to output stream.

## Detailed Description

IPTC dataset reference, implemented as a static class.

## Member Function Documentation

## dataSet()

uint16_t Exiv2::IptcDataSets::dataSet | ( | const std::string & | dataSetName,
|  | uint16_t | recordId
| ) |  |

static

Return the dataSet number for dataset name and record id.

Parameters

  dataSetName | dataSet name
  recordId | recordId

Returns
  dataSet number

Exceptions

  Error | if the dataSetName or recordId are invalid

References dataSet(), dataSetName(), Exiv2::isHex(), Exiv2::DataSet::number_, and recordId().

Referenced by dataSet(), and Exiv2::IptcKey::decomposeKey().

## dataSetDesc()

const char * Exiv2::IptcDataSets::dataSetDesc | ( | uint16_t | number,
|  | uint16_t | recordId
| ) |  |

static

Return the description of the dataset.

Parameters

  number | The dataset number
  recordId | The IPTC record Id

Returns
  The description of the dataset

References Exiv2::DataSet::desc_, and recordId().

Referenced by Exiv2::IptcKey::tagDesc().

## dataSetName()

std::string Exiv2::IptcDataSets::dataSetName | ( | uint16_t | number,
|  | uint16_t | recordId
| ) |  |

static

Return the name of the dataset.

Parameters

  number | The dataset number
  recordId | The IPTC record Id

Returns
  The name of the dataset or a string containing the hexadecimal value of the dataset in the form "0x01ff", if this is an unknown dataset.

References recordId().

Referenced by dataSet(), Exiv2::IptcKey::decomposeKey(), Exiv2::IptcKey::makeKey(), Exiv2::IptcData::printStructure(), and Exiv2::IptcKey::tagName().

## dataSetPsName()

const char * Exiv2::IptcDataSets::dataSetPsName | ( | uint16_t | number,
|  | uint16_t | recordId
| ) |  |

static

Return the Photoshop name of a given dataset.

Parameters

  number | The dataset number
  recordId | The IPTC record Id

Returns
  The name used by Photoshop for a dataset or an empty string if Photoshop does not use the dataset.

References Exiv2::DataSet::photoshop_, and recordId().

## dataSetRepeatable()

bool Exiv2::IptcDataSets::dataSetRepeatable | ( | uint16_t | number,
|  | uint16_t | recordId
| ) |  |

static

Check if a given dataset is repeatable.

Parameters

  number | The dataset number
  recordId | The IPTC record Id

Returns
  true if the given dataset is repeatable otherwise false

References recordId(), and Exiv2::DataSet::repeatable_.

Referenced by Exiv2::IptcData::add().

## dataSetTitle()

const char * Exiv2::IptcDataSets::dataSetTitle | ( | uint16_t | number,
|  | uint16_t | recordId
| ) |  |

static

Return the title (label) of the dataset.

Parameters

  number | The dataset number
  recordId | The IPTC record Id

Returns
  The title (label) of the dataset

References recordId(), and Exiv2::DataSet::title_.

Referenced by Exiv2::IptcKey::tagLabel().

## recordDesc()

const char * Exiv2::IptcDataSets::recordDesc | ( | uint16_t | recordId | ) |

static

Return the description of a record.

Parameters

  recordId | Record Id number

Returns
  the description of the Record

References Exiv2::RecordInfo::desc_, Exiv2::DataSet::desc_, and recordId().

## recordId()

uint16_t Exiv2::IptcDataSets::recordId | ( | const std::string & | recordName | ) |

static

Return the Id number of a record.

Parameters

  recordName | Name of a record type

Returns
  the Id number of a Record

Exceptions

  Error | if the record is not known;

References Exiv2::isHex(), and recordName().

Referenced by dataSet(), dataSetDesc(), dataSetName(), dataSetPsName(), dataSetRepeatable(), dataSetTitle(), dataSetType(), Exiv2::IptcKey::decomposeKey(), recordDesc(), and recordName().

## recordName()

std::string Exiv2::IptcDataSets::recordName | ( | uint16_t | recordId | ) |

static

Return the name of the Record.

Parameters

  recordId | The record id

Returns
  The name of the record or a string containing the hexadecimal value of the record in the form "0x01ff", if this is an unknown record.

References Exiv2::RecordInfo::name_, and recordId().

Referenced by Exiv2::IptcKey::decomposeKey(), Exiv2::IptcKey::makeKey(), Exiv2::operator<<(), recordId(), and Exiv2::IptcKey::recordName().

The documentation for this class was generated from the following files:

- datasets.hpp
- datasets.cpp